/*
 * task.h
 *
 *  Created on: 2024624
 *      Author: psx
 */

#ifndef APP_INC_TASK_H_
#define APP_INC_TASK_H_


#include "timeSliceOffset.h"
#include "uart_dev.h"
#include "math.h"

void Init();

/* ָʾƺι  */
#define WdiRunled_reloadVal 1000            /* ִм  */
#define WdiRunled_offset 0                  /* ִƫ  */
#define wdi_RESET (60 * 60 * 24)            /* һ츴λһ  */
extern STR_TimeSliceOffset m_WdiRunled;
extern void Task_WdiRunled(void);

/* ˢ¼Ĵе  */
#define refreshRegister_reloadVal 1000            /* ִм  */
#define refreshRegister_offset 0                  /* ִƫ  */
extern STR_TimeSliceOffset m_refreshRegister;
extern void Task_refreshRegister(void);

/* ·迹  */
#define impedanceCalculation_reloadVal 200              /* ִм  */
#define impedanceCalculation_offset 0                   /* ִƫ  */
extern STR_TimeSliceOffset g_impedanceCalculation;
extern void Task_impedanceCalculation(void);

/* ·  */
#define outputAgain_reloadVal 1000              /* ִм  */
#define outputAgain_offset 0                    /* ִƫ  */
extern STR_TimeSliceOffset g_outputAgain;
extern void Task_outputAgain(void);

/* ر  */
#define excessiveLoad_reloadVal 1000             /* ִм  */
#define excessiveLoad_offset 0                   /* ִƫ  */
extern STR_TimeSliceOffset g_excessiveLoad;
extern void Task_excessiveLoad(void);

/*   */
#define softStart_reloadVal 10          /* ִм  */
#define softStart_offset 0              /* ִƫ  */
extern STR_TimeSliceOffset m_softStart;
extern void Task_softStart(void);

/*    */
#define startMpptControl_reloadVal 1000         /* ִм  */
#define startMpptControl_offset 0               /* ִƫ  */
extern STR_TimeSliceOffset g_startMpptControl;
extern void Task_startMpptControl(void);

/* ݼĴһЩж */
#define dataJudgment_reloadVal 1000         /* ִм  */
#define dataJudgment_offset 0               /* ִƫ  */
extern STR_TimeSliceOffset g_dataJudgment;
extern void Task_dataJudgment(void);

/* ݽʹ */
#define usartSL_reloadVal 100             /* ִм  */
#define usartSL_offset 0                  /* ִƫ  */
extern STR_TimeSliceOffset m_usart;
extern void Task_usartSL(void);
extern void Task_usartHY(void);

/* 㲥Ӧ */
#define recvbroadcast_reloadVal 3000            /* ִм  */
#define recvbroadcast_offset 0                  /* ִƫ  */
extern uint8_t recvbroadcast_flag;              /* ǷҪٴηͱ־ */
extern device_handle  g_recvBroadcastDevice;    /* ھ */
extern STR_TimeSliceOffset g_recvbroadcast;
extern void Task_recvbroadcast(void);

/* ٴעʱ */
#define sensorEnableBroadcast_reloadVal 1000           /* ִм  */
#define sensorEnableBroadcast_offset 0               /* ִƫ  */
extern STR_TimeSliceOffset g_sensorEnableBroadcast;
extern void Task_sensorEnableBroadcast(void);


#endif /* APP_INC_TASK_H_ */
